%define anolis_release 1

%global pypi_name pyperclip

Name:           python-%{pypi_name}
Version:        1.8.2
Release:        %{anolis_release}%{?dist}
Summary:        A cross-platform clipboard module for Python

License:        BSD-3-Clause
URL:            https://github.com/asweigart/%{pypi_name}
Source0:        %{pypi_source %{pypi_name}}
BuildArch:      noarch

%description
Pyperclip is a cross-platform Python module for copy and paste clipboard
functions.


%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description -n python3-%{pypi_name}
Pyperclip is a cross-platform Python module for copy and paste clipboard
functions.


%package -n python3-%{pypi_name}-doc
Summary:        Pyperclip documentation

%description -n python3-%{pypi_name}-doc
Documentation for pyperclip


%prep
%autosetup -p1 -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# Fix ends of line encoding
sed -i 's/\r$//' README.md docs/*

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%files -n python3-%{pypi_name}-doc
%doc AUTHORS.txt
%doc CHANGES.txt
%doc README.md

%changelog
* Mon May 15 2023 Funda Wang <fundwang@yeah.net> - 1.8.2-1
- Import package for anolis 23
